Bug 130048 - rawdevices needs to come back
Summary: rawdevices needs to come back
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: initscripts (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On: 130016
Blocks: 135876
TreeView+ depends on / blocked
 
Reported: 2004-08-16 19:07 UTC by Bill Nottingham
Modified: 2014-03-17 02:47 UTC (History)
5 users (show)

Fixed In Version: 7.62-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-13 11:58:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 2004-08-16 19:07:38 UTC
See bug 130016.

Comment 1 Bill Nottingham 2004-08-18 21:29:11 UTC
Done in 7.62-1.

Comment 2 Stephen Tweedie 2004-10-13 21:01:27 UTC
And now it needs to come back for RHEL-4.  Sorry.

Comment 3 Bill Nottingham 2004-10-13 21:29:19 UTC
Note that the raw command is broken by udev:

# raw /dev/raw/raw1 /dev/hda
Cannot locate raw device '/dev/raw/raw1' (No such file or directory)

We could:

a) have raw make the device node before opening it
b) have a dev.d script that makes /dev/raw/* when /dev/rawctl is made
(i.e., when the raw driver is registered)
c) something else?

Comment 5 Stephen Tweedie 2004-10-13 22:19:32 UTC
Setting this to depend on #130016 (util-linux): we need a new raw(8)
to be able to bind device nodes which have not yet been created in /dev/.

Comment 6 Tim Burke 2004-10-14 23:00:43 UTC
This is needed in RHEL4 B2. So adding to B2 blocker list bug #134551.

Comment 7 Bill Nottingham 2004-10-19 04:04:20 UTC
Added in 7.93.1.EL-1.

Comment 8 Jay Turner 2004-12-04 20:26:44 UTC
Moving this to the Blocker list so that I can close the B2 blocker.  Plus, it
didn't make it for B2 :-(

Comment 9 Jay Turner 2004-12-13 11:58:48 UTC
Fix confirmed with initscripts-7.93.11.EL-1.  Closing out.


Note You need to log in before you can comment on or make changes to this bug.